支付
支付结果回调接口
该接口URL由对接商户提供,第一步创建订单时传出的参数:notifyPage 支付完成后,支付结果会通过notifyPage对应的URL进行通知
POST
/
notifyPage
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/auth/token
{
"code": "",
"msg": "",
"sign":"2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd".
}
Query Parameters
appKey
string
required商家唯一appKey
Example: xxx_xxx
outOrderId
string
required商家端订单号
Example: 1000000009
orderNum
string
required开放平台订单编号
Example: 1000000002
orderStatus
string
required订单状态(1 待支付; 2 支付失败;3 支付成功; 0 已关闭)
Example: 1
payAmount
string
required订单金额
Example: 200
returnUrl
string
required同步通知页面(下单接口传入)
Example: https://www.google.com
Response
200 - application/json
code
string
返回code
msg
string
成功或失败提示信息
data
string
客户端收到请求后返回success,代表已收到请求
sign
string
签名
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/auth/token
{
"code": "",
"msg": "",
"sign":"2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd".
}